Package org.bukkit.entity

# Interface EnderSignal

All Superinterfaces:
  `Audience`, `CommandSender`, `Entity`, `HoverEventSource<HoverEvent.ShowEntity>`, `Metadatable`, `Nameable`, `Permissible`, `PersistentDataHolder`, `Pointered`, `ServerOperator`, `Sound.Emitter`

public interface EnderSignal extends Entity
Represents an EnderSignal, which is created upon throwing an ender eye.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.bukkit.entity.Entity

`Entity.Spigot`

## Method Summary

Modifier and Type
Method
Description
`int`
`getDespawnTimer()`
Gets the amount of time this entity has been alive (in ticks).
`boolean`
`getDropItem()`
Gets if the EnderSignal should drop an item on death.
If `true`, it will drop an item.
`@NotNull ItemStack`
`getItem()`
Get the `ItemStack` to be displayed while in the air and to be dropped on death.
`@NotNull Location`
`getTargetLocation()`
Get the location this EnderSignal is moving towards.
`void`
`setDespawnTimer(int timer)`
Set how long this entity has been alive (in ticks).
`void`
`setDropItem(boolean drop)`
Sets if the EnderSignal should drop an item on death; or if it should shatter.
`void`
`setItem(@Nullable ItemStack item)`
Set the `ItemStack` to be displayed while in the air and to be dropped on death.
`void`
`setTargetLocation(@NotNull Location location)`
Set the `Location` this EnderSignal is moving towards.
`void`
`setTargetLocation(@NotNull Location location, boolean update)`
Set the `Location` this EnderSignal is moving towards.

### Methods inherited from interface net.kyori.adventure.audience.Audience

`clearTitle, filterAudience, forEachAudience, hideBossBar, openBook, openBook, playSound, playSound, playSound, resetTitle, sendActionBar, sendActionBar, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendPlayerListFooter, sendPlayerListFooter, sendPlayerListHeader, sendPlayerListHeader, sendPlayerListHeaderAndFooter, sendPlayerListHeaderAndFooter, sendTitlePart, showBossBar, showTitle, stopSound, stopSound`

### Methods inherited from interface org.bukkit.command.CommandSender

`getName, name, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage`

### Methods inherited from interface org.bukkit.entity.Entity

`addPassenger, addScoreboardTag, asHoverEvent, eject, fromMobSpawner, getBoundingBox, getChunk, getEntityId, getEntitySpawnReason, getFacing, getFallDistance, getFireTicks, getFreezeTicks, getHeight, getLastDamageCause, getLocation, getLocation, getMaxFireTicks, getMaxFreezeTicks, getNearbyEntities, getOrigin, getPassenger, getPassengers, getPistonMoveReaction, getPortalCooldown, getPose, getScoreboardTags, getServer, getTicksLived, getTrackedPlayers, getType, getUniqueId, getVehicle, getVelocity, getWidth, getWorld, hasGravity, isCustomNameVisible, isDead, isEmpty, isFrozen, isGlowing, isInBubbleColumn, isInLava, isInRain, isInsideVehicle, isInvulnerable, isInWater, isInWaterOrBubbleColumn, isInWaterOrRain, isInWaterOrRainOrBubbleColumn, isOnGround, isPersistent, isSilent, isTicking, isValid, isVisualFire, leaveVehicle, playEffect, remove, removePassenger, removeScoreboardTag, setCustomNameVisible, setFallDistance, setFireTicks, setFreezeTicks, setGlowing, setGravity, setInvulnerable, setLastDamageCause, setPassenger, setPersistent, setPortalCooldown, setRotation, setSilent, setTicksLived, setVelocity, setVisualFire, spawnAt, spawnAt, spigot, teamDisplayName, teleport, teleport, teleport, teleport, teleportAsync, teleportAsync`

### Methods inherited from interface net.kyori.adventure.text.event.HoverEventSource

`asHoverEvent`

### Methods inherited from interface org.bukkit.metadata.Metadatable

`getMetadata, hasMetadata, removeMetadata, setMetadata`

### Methods inherited from interface org.bukkit.Nameable

`customName, customName, getCustomName, setCustomName`

### Methods inherited from interface org.bukkit.permissions.Permissible

`addAttachment, addAttachment, addAttachment, addAttachment, getEffectivePermissions, hasPermission, hasPermission, isPermissionSet, isPermissionSet, permissionValue, permissionValue, recalculatePermissions, removeAttachment`

### Methods inherited from interface org.bukkit.persistence.PersistentDataHolder

`getPersistentDataContainer`

### Methods inherited from interface net.kyori.adventure.pointer.Pointered

`get, getOrDefault, getOrDefaultFrom, pointers`

### Methods inherited from interface org.bukkit.permissions.ServerOperator

`isOp, setOp`

## Method Details

### getTargetLocation

@NotNull @NotNull Location getTargetLocation()
Get the location this EnderSignal is moving towards.

Returns:
  the `Location` this EnderSignal is moving towards.

### setTargetLocation

void setTargetLocation(@NotNull @NotNull Location location)
Set the `Location` this EnderSignal is moving towards.
When setting a new target location, the `getDropItem()` resets to a random value and the despawn timer gets set back to 0.

Parameters:
  `location` - the new target location

### setTargetLocation

void setTargetLocation(@NotNull @NotNull Location location, boolean update)
Set the `Location` this EnderSignal is moving towards.

Parameters:
  `location` - the new target location
  `update` - true to reset the `getDropItem()` to a random value and `getDespawnTimer()` to 0

### getDropItem

boolean getDropItem()
Gets if the EnderSignal should drop an item on death.
If `true`, it will drop an item. If `false`, it will shatter.

Returns:
  true if the EnderSignal will drop an item on death, or false if it will shatter

### setDropItem

void setDropItem(boolean drop)
Sets if the EnderSignal should drop an item on death; or if it should shatter.

Parameters:
  `drop` - true if the EnderSignal should drop an item on death, or false if it should shatter.

### getItem

@NotNull @NotNull ItemStack getItem()
Get the `ItemStack` to be displayed while in the air and to be dropped on death.

Returns:
  the item stack

### setItem

void setItem(@Nullable @Nullable ItemStack item)
Set the `ItemStack` to be displayed while in the air and to be dropped on death.

Parameters:
  `item` - the item to set. If null, resets to the default eye of ender

### getDespawnTimer

int getDespawnTimer()
Gets the amount of time this entity has been alive (in ticks).
When this number is greater than 80, it will despawn on the next tick.

Returns:
  the number of ticks this EnderSignal has been alive.

### setDespawnTimer

void setDespawnTimer(int timer)
Set how long this entity has been alive (in ticks).
When this number is greater than 80, it will despawn on the next tick.

Parameters:
  `timer` - how long (in ticks) this EnderSignal has been alive.